Browse Source

Add flux types as a dev dependency

This is not the right thing to do, since we don't directly use Flux at this
layer, but for the moment we need it to get distribution builds working.
pull/13915/head
RiotRobot 2 years ago
parent
commit
f8dad68958
  1. 1
      package.json
  2. 3
      tsconfig.json
  3. 13
      yarn.lock

1
package.json

@ -88,6 +88,7 @@
"@babel/preset-typescript": "^7.7.4",
"@babel/register": "^7.7.4",
"@babel/runtime": "^7.7.6",
"@types/flux": "^3.1.9",
"@types/modernizr": "^3.5.3",
"@types/node": "^12.12.41",
"@types/react": "16.9",

3
tsconfig.json

@ -14,7 +14,8 @@
"jsx": "react",
"types": [
"node",
"react"
"react",
"flux"
]
},
"include": [

13
yarn.lock

@ -1190,6 +1190,19 @@
resolved "https://registry.yarnpkg.com/@types/events/-/events-3.0.0.tgz#2862f3f58a9a7f7c3e78d79f130dd4d71c25c2a7"
integrity sha512-EaObqwIvayI5a8dCzhFrjKzVwKLxjoG9T6Ppd5CEo07LRKfQ8Yokw54r5+Wq7FaBQ+yXRvQAYPrHwya1/UFt9g==
"@types/fbemitter@*":
version "2.0.32"
resolved "https://registry.yarnpkg.com/@types/fbemitter/-/fbemitter-2.0.32.tgz#8ed204da0f54e9c8eaec31b1eec91e25132d082c"
integrity sha1-jtIE2g9U6cjq7DGx7skeJRMtCCw=
"@types/flux@^3.1.9":
version "3.1.9"
resolved "https://registry.yarnpkg.com/@types/flux/-/flux-3.1.9.tgz#ddfc9641ee2e2e6cb6cd730c6a48ef82e2076711"
integrity sha512-bSbDf4tTuN9wn3LTGPnH9wnSSLtR5rV7UPWFpM00NJ1pSTBwCzeZG07XsZ9lBkxwngrqjDtM97PLt5IuIdCQUA==
dependencies:
"@types/fbemitter" "*"
"@types/react" "*"
"@types/glob@^7.1.1":
version "7.1.1"
resolved "https://registry.yarnpkg.com/@types/glob/-/glob-7.1.1.tgz#aa59a1c6e3fbc421e07ccd31a944c30eba521575"

Loading…
Cancel
Save